Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeReservedInstancesOfferingsResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeReservedInstancesOfferingsResult

    public class DescribeReservedInstancesOfferingsResult

extends Object

The result of describing Reserved Instance offerings.

Constructor Summary
`DescribeReservedInstancesOfferingsResult()`

Method Summary
`List<ReservedInstancesOffering>` | `getReservedInstancesOfferings()` The list of described Reserved Instance offerings.
`void` | `setReservedInstancesOfferings(Collection<ReservedInstancesOffering> reservedInstancesOfferings)` The list of described Reserved Instance offerings.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeReservedInstancesOfferingsResult` | `withReservedInstancesOfferings(Collection<ReservedInstancesOffering> reservedInstancesOfferings)` The list of described Reserved Instance offerings.
`DescribeReservedInstancesOfferingsResult` | `withReservedInstancesOfferings(ReservedInstancesOffering... reservedInstancesOfferings)` The list of described Reserved Instance offerings.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeReservedInstancesOfferingsResult

    public DescribeReservedInstancesOfferingsResult()

Method Detail

### getReservedInstancesOfferings

    public List<ReservedInstancesOffering> getReservedInstancesOfferings()

  The list of described Reserved Instance offerings.

  Returns:
    The list of described Reserved Instance offerings.

### setReservedInstancesOfferings

    public void setReservedInstancesOfferings(Collection<ReservedInstancesOffering> reservedInstancesOfferings)

  The list of described Reserved Instance offerings.

  Parameters:
    `reservedInstancesOfferings` - The list of described Reserved Instance offerings.

### withReservedInstancesOfferings

    public DescribeReservedInstancesOfferingsResult withReservedInstancesOfferings(ReservedInstancesOffering... reservedInstancesOfferings)

  The list of described Reserved Instance offerings.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `reservedInstancesOfferings` - The list of described Reserved Instance offerings.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withReservedInstancesOfferings

    public DescribeReservedInstancesOfferingsResult withReservedInstancesOfferings(Collection<ReservedInstancesOffering> reservedInstancesOfferings)

  The list of described Reserved Instance offerings.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `reservedInstancesOfferings` - The list of described Reserved Instance offerings.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.